[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegion.Assign

Stores values from ASrcRegion in the current class instance.

## Declaration

Source position: lazregions.pas line 73

`public procedure TLazRegion.Assign(`
`ASrcRegion: TLazRegion`
`);`

## Arguments

`ASrcRegion` |  | Region with the values stored in the method.

## Description

Calls Clear to remove any items stored in Parts. Calls AddPartsFromRegion to capture the values from the source region.